<template>
  <v-tooltip top>
    <template #activator="{ on }">
      <v-chip
        :close="removable"
        :color="colour"
        v-on="on"
        @click:close="onClose"
      >
        {{ name }}
      </v-chip>
    </template>
    <span> {{ description }} </span>
  </v-tooltip>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'

@Component
export default class FeedbackLabel extends Vue {
  @Prop({ type: Number, required :true }) readonly pk!: number
  @Prop({ type: String, required: true }) readonly name!: string
  @Prop({ type: String, required: true }) readonly description!: string
  @Prop({ type: String, required: true }) readonly colour!: string
  @Prop({ type: Boolean, default: false }) readonly removable!: boolean

  onClose() {
    this.$emit('remove-clicked', this.pk)
  }
}
</script>

<style>

</style>
